import { EventEmitter, ElementRef, Renderer2 } from '@angular/core';
interface ListItem {
    text: string;
    value: string | number;
}
export declare class VeilMultiselectComponent {
    private renderer;
    inputGroup: ElementRef;
    list: ElementRef;
    _data: Array<ListItem>;
    _limit: number;
    _placeholder: string;
    _listHeight: string;
    isOpen: boolean;
    selectedItems: Array<any>;
    set data(value: Array<ListItem>);
    set limit(value: number);
    set placeholder(value: string);
    set listHeight(value: string);
    selected: EventEmitter<ListItem[]>;
    constructor(renderer: Renderer2);
    toggleList(): void;
    onItemClick(clickedItem: ListItem): any;
    removeSelected(clickedItem: ListItem): void;
    isSelected(clickedItem: ListItem): boolean;
    itemShowRemaining(): number;
    private addSelected;
}
export {};
