import { Observable, Subject } from 'rxjs';
export declare class StepperService {
    activeStep: Subject<number>;
    activeStepError: Subject<boolean>;
    private steps;
    navigateToNextStep(currentStepId: string, currentPanelValid?: boolean): void;
    navigateToStep(index: any): void;
    isActiveStep(stepId: any, data: any): boolean;
    getActiveStep(): Observable<number>;
    getActiveStepError(): Observable<boolean>;
    setSteps(queryList: any): void;
}
