import { QueryList, OnInit, AfterContentInit } from '@angular/core';
import { FormGroupDirective, NgForm } from '@angular/forms';
import { StepperService } from './providers/stepper.service';
import { VeilStepperStepComponent } from './step/step.component';
export declare class VeilStepperComponent implements OnInit, AfterContentInit {
    private formGroup;
    private ngForm;
    private stepperService;
    steps: QueryList<VeilStepperStepComponent>;
    form: FormGroupDirective | NgForm;
    constructor(formGroup: FormGroupDirective, ngForm: NgForm, stepperService: StepperService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
}
