"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tasks_1 = require("@angular-devkit/schematics/tasks");
var package_1 = require("../util/package");
function default_1(options) {
    return function (tree, context) {
        package_1.addDependencyToPackageJson(tree, '@angular/cdk', '10.0.2');
        package_1.addDependencyToPackageJson(tree, 'font-awesome', '4.7.0');
        var installTaskId = context.addTask(new tasks_1.NodePackageInstallTask());
        context.addTask(new tasks_1.RunSchematicTask('setup', options), [installTaskId]);
    };
}
exports.default = default_1;
