"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Writes specified JSON to the given tree
function writeJSON(tree, fileName, content) {
    tree.overwrite(fileName, JSON.stringify(content, null, 2));
}
exports.writeJSON = writeJSON;
// Reads specified file as JSON from the given tree
function readJSON(tree, fileName) {
    var file = tree.read(fileName);
    return JSON.parse(file.toString('utf8'));
}
exports.readJSON = readJSON;
