import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class VeilCheckboxComponent implements ControlValueAccessor {
    private changeDetector;
    private _checked;
    private _disabled;
    get checked(): boolean;
    set checked(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    checkedChange: EventEmitter<boolean>;
    onChange: any;
    onTouched: any;
    constructor(changeDetector: ChangeDetectorRef);
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    setDisabledState(value: boolean): void;
    setTouched(): void;
    updateValue(event: Event): void;
}
