import { OnInit, EventEmitter, Renderer2, ElementRef } from '@angular/core';
import { Day } from './interfaces/day.interface';
export declare class VeilDatepickerComponent implements OnInit {
    private renderer;
    inputGroup: ElementRef;
    calendar: ElementRef;
    readonly weekNarrow: string[];
    readonly months: string[];
    inputDate: string;
    private selectedDate;
    private readonly date;
    year: number;
    month: number;
    calendarView: Array<Day[]>;
    calendarIsOpen: boolean;
    update: EventEmitter<string>;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    inputChange(evt: Event): void;
    hideCalendar(): void;
    toggleCalendar(): void;
    updateMonth(route?: string): void;
    selectDay(day: Day): void;
    private getMonthData;
    private getStatus;
    private isToday;
    private isSelected;
    private initCalendarView;
}
