import { OnInit, EventEmitter, Renderer2, ElementRef } from '@angular/core';
import { Day } from '../datepicker/interfaces/day.interface';
export declare class VeilDatetimepickerComponent implements OnInit {
    private renderer;
    inputGroup: ElementRef;
    picker: ElementRef;
    inputDateTime: string;
    private readonly date;
    pickerIsOpen: boolean;
    confirmDisabled: boolean;
    private _inputDate;
    readonly weekNarrow: string[];
    readonly months: string[];
    private selectedDate;
    year: number;
    month: number;
    calendarView: Array<Day[]>;
    private _inputTime;
    private selectedHour;
    private selectedMinute;
    private readonly hours;
    private readonly minutes;
    trimmedHours: Array<string>;
    trimmedMinutes: Array<string>;
    update: EventEmitter<string>;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    inputChange(evt: Event): void;
    togglePicker(): void;
    hidePicker(): void;
    confirm(): void;
    updateMonth(route?: string): void;
    selectDay(day: Day): void;
    private getMonthData;
    private getStatus;
    private isToday;
    private isSelected;
    private initCalendarView;
    onMouseWheel(evt: WheelEvent, type: string): void;
    setHour(hour: string): void;
    setMinute(minute: string): void;
    private updateHours;
    private updateMinutes;
}
