import { OnInit, OnDestroy } from '@angular/core';
import { StepperService } from '../providers/stepper.service';
export declare class VeilStepperNavComponent implements OnInit, OnDestroy {
    private stepperService;
    navTitles: string[];
    activeIndex: number;
    erroredArray: boolean[];
    successArray: boolean[];
    private subscriptions;
    constructor(stepperService: StepperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isErrored(index: any): boolean;
    isSuccess(index: any): boolean;
    isButtonNavDisabled(index: any): boolean;
    navigateToStep(index: any): void;
    private listenForActiveStep;
    private listenForActiveStepError;
}
