import { OnInit, OnDestroy } from '@angular/core';
import { VeilStepperComponent } from '../stepper.component';
import { VeilStepperStepComponent } from './step.component';
import { StepperService } from '../providers/stepper.service';
export declare enum StepButtonType {
    Next = "next",
    Submit = "submit"
}
export declare class StepButtonDirective implements OnInit, OnDestroy {
    private stepper;
    private vlStep;
    private stepperService;
    type: StepButtonType | string;
    submitButton: boolean;
    private listenForValueChanges;
    constructor(stepper: VeilStepperComponent, vlStep: VeilStepperStepComponent, stepperService: StepperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    navigateToNextPanel(): void;
}
