import { OnInit, OnDestroy } from '@angular/core';
import { FormGroupName, NgModelGroup } from '@angular/forms';
import { StepperService } from '../providers/stepper.service';
export declare class VeilStepperStepComponent implements OnInit, OnDestroy {
    private formGroupName;
    private ngModelGroup;
    private stepperService;
    get formGroup(): import("@angular/forms").FormGroup;
    get id(): string;
    set id(_value: string);
    private subscriptions;
    isActiveStep: boolean;
    isErrored: boolean;
    constructor(formGroupName: FormGroupName, ngModelGroup: NgModelGroup, stepperService: StepperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private listenForActiveStep;
    private listenForActiveStepError;
}
